DocumentID: 4a60e416-fc42-44c4-8153-f5ea94b3193b
TakenAt: 2017-03-28T22:03:47Z
TakenAtLocal: 2017-03-28T23:03:47Z
TakenSrc: meta
UID: pt67n8heeqpfdnzd
Type: image
Title: Horndean / United Kingdom / 2017
TimeZone: Europe/London
PlaceSrc: meta
Altitude: 93
Lat: 50.93366944444444
Lng: -0.9997527777777777
Year: 2017
Month: 3
Day: 28
ISO: 64
Exposure: 1/33
FNumber: 2.2
FocalLength: 29
Quality: 4
Details:
  Keywords: avenue, england, first, grey, horndean, united-kingdom
  Software: 10.2.1
  SoftwareSrc: meta
CreatedAt: 2025-11-24T03:05:05Z
UpdatedAt: 2025-11-24T08:14:59Z
